<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Gästebuch</title>
</head>
<body>
<h1>Gästebuch</h1>
<div>Einträge sortieren: <a href="/newestFirst">neueste zuerst</a> <a href="/oldestFirst">älteste zuerst</a> <a href="/">nach Titel</a></div>

<ul th:each="eintrag : ${gaestebuch}">
    <li>
        <div>
            <h3 th:text="${eintrag.titel}"></h3>
            <span th:text="${eintrag.dateToString()}"></span>
            <p th:text="${eintrag.beschreibung}"></p>
            <ul th:each="komm : ${eintrag.getKommentare()}">
                <li th:text="${komm.kommentarText}"></li>
            </ul>
            <a th:href="@{/create-kommentar(eintragId=${eintrag.getId()})}">Neuen Kommentar</a>
        </div>
    </li>

</ul>
<a href="/create-eintrag">Neuen Eintrag anlegen</a>
</body>
</html>